#
# spec file for package python-pytest-fixture-config
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-fixture-config
Version:        1.4.0
Release:        2.1
License:        MIT
Summary:        Fixture configuration utils for pytest
Url:            https://github.com/manahl/pytest-plugins
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pytest-fixture-config/pytest-fixture-config-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module setuptools-git}
Requires:  python-pytest
BuildRequires:  fdupes
BuildArch:      noarch

%python_subpackages

%description
Fixture configuration utilities for pytest

%prep
%setup -q -n pytest-fixture-config-%{version}
sed -i -e 's:pytest<4.0.0:pytest:g' setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v

%files %{python_files}
%doc README.md CHANGES.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Feb 20 2019 tchvatal@suse.com
- Intial commit, needed by pytest-virtualenv
